Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.util
Class AntTaskAccess

    java.lang.Object
      org.gradle.api.tasks.util.AntTaskAccess

All Implemented Interfaces:
  java.util.EventListener, org.apache.tools.ant.BuildListener

    public class AntTaskAccess

extends java.lang.Object
implements org.apache.tools.ant.BuildListener

Provides a mechanism to get access to an Ant Task object after the task has been executed. Use ant.project.addBuildListener to add an AntTaskAccess object as a build listener.

Constructor Summary
`AntTaskAccess()` Default CTOR.
`AntTaskAccess(groovy.lang.Closure closure)` CTOR for normal use.

Method Summary
`void` | `buildFinished(org.apache.tools.ant.BuildEvent buildEvent)`
`void` | `buildStarted(org.apache.tools.ant.BuildEvent buildEvent)`
`void` | `messageLogged(org.apache.tools.ant.BuildEvent buildEvent)`
`void` | `setClosure(groovy.lang.Closure closure)`
`void` | `targetFinished(org.apache.tools.ant.BuildEvent buildEvent)`
`void` | `targetStarted(org.apache.tools.ant.BuildEvent buildEvent)`
`void` | `taskFinished(org.apache.tools.ant.BuildEvent buildEvent)`
`void` | `taskStarted(org.apache.tools.ant.BuildEvent buildEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntTaskAccess

    public AntTaskAccess()

  Default CTOR. If this version is used, you must call `setClosure(groovy.lang.Closure)` before using this object.

### AntTaskAccess

    public AntTaskAccess(groovy.lang.Closure closure)

  CTOR for normal use. The provided closure will be called after each task has finished. The closure will be passed a single parameter, the Task object of the task that just finished executing.

  Parameters:
    `closure` -

Method Detail

### setClosure

    public void setClosure(groovy.lang.Closure closure)

### buildStarted

    public void buildStarted(org.apache.tools.ant.BuildEvent buildEvent)

  Specified by:
    `buildStarted` in interface `org.apache.tools.ant.BuildListener`

### buildFinished

    public void buildFinished(org.apache.tools.ant.BuildEvent buildEvent)

  Specified by:
    `buildFinished` in interface `org.apache.tools.ant.BuildListener`

### targetStarted

    public void targetStarted(org.apache.tools.ant.BuildEvent buildEvent)

  Specified by:
    `targetStarted` in interface `org.apache.tools.ant.BuildListener`

### targetFinished

    public void targetFinished(org.apache.tools.ant.BuildEvent buildEvent)

  Specified by:
    `targetFinished` in interface `org.apache.tools.ant.BuildListener`

### taskStarted

    public void taskStarted(org.apache.tools.ant.BuildEvent buildEvent)

  Specified by:
    `taskStarted` in interface `org.apache.tools.ant.BuildListener`

### taskFinished

    public void taskFinished(org.apache.tools.ant.BuildEvent buildEvent)

  Specified by:
    `taskFinished` in interface `org.apache.tools.ant.BuildListener`

### messageLogged

    public void messageLogged(org.apache.tools.ant.BuildEvent buildEvent)

  Specified by:
    `messageLogged` in interface `org.apache.tools.ant.BuildListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD